Package it.ernytech.tdlib

## Class TdApi.ProcessDcUpdate

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ProcessDcUpdate

Enclosing class:
  TdApi

    public static class TdApi.ProcessDcUpdate
    extends TdApi.Function

Handles a DCUPDATE push service notification. Can be called before authorization.

Returns `Ok`

### Field Summary

Fields
`java.lang.String` `addr` Value of the "addr" parameter of the notification.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `dc` Value of the "dc" parameter of the notification.

### Constructor Summary

Constructors
`ProcessDcUpdate()` Default constructor.
`ProcessDcUpdate​(java.lang.String dc, java.lang.String addr)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### dc

    public java.lang.String dc

Value of the "dc" parameter of the notification.

#### addr

    public java.lang.String addr

Value of the "addr" parameter of the notification.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ProcessDcUpdate

    public ProcessDcUpdate()

Default constructor.

#### ProcessDcUpdate

    public ProcessDcUpdate​(java.lang.String dc,
                           java.lang.String addr)

Constructor for initialization of all fields.

Parameters:
  `dc` - Value of the "dc" parameter of the notification.
  `addr` - Value of the "addr" parameter of the notification.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR